Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.provider
Class ViewProviderImpl

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.provider.ViewProviderImpl

    public class ViewProviderImpl

extends Object

Author:
  Eugen Neufeld

Constructor Summary
`ViewProviderImpl()` Default Constructor.
`ViewProviderImpl(boolean shouldReadExtensionPointPerRequest)` Constructor.

Method Summary
`void` | `addProvider(IViewProvider provider)` Adds a `IViewProvider`.
`void` | `clearProviders()` Clears all `IViewProvider`s.
`VView` | `getView(org.eclipse.emf.ecore.EObject eObject, Map<String,Object> context)` This allows to retrieve a `VView` based on an `EObject`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewProviderImpl

    public ViewProviderImpl()

  Default Constructor.

### ViewProviderImpl

    public ViewProviderImpl(boolean shouldReadExtensionPointPerRequest)

  Constructor.

  Parameters:
    `shouldReadExtensionPointPerRequest` - whether the view providers extension should be read on each request

Method Detail

### clearProviders

    public void clearProviders()

  Clears all `IViewProvider`s.

### addProvider

    public void addProvider(IViewProvider provider)

  Adds a `IViewProvider`.

  Parameters:
    `provider` - the `IViewProvider` to be added

### getView

    public VView getView(org.eclipse.emf.ecore.EObject eObject,
                         Map<String,Object> context)

  This allows to retrieve a `VView` based on an `EObject`. This method reads all `IViewProviders` and searches for the best fitting. If none can be found, then null is returned.

  Parameters:
    `eObject` - the `EObject` to find a `VView` for
    `context` - a key-value-map from String to Object
  Returns:
    a view model for the given `EObject` or null if no suited provider could be found

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.